Package: org.gradle.tooling.model.idea

## [Java] Interface IdeaSourceDirectory

- org.gradle.tooling.model.idea.IdeaSourceDirectory

- All Superinterfaces:
    SourceDirectory

  IDEA source directory.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isGenerated()` Return `true` if this source directory is generated.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface SourceDirectory` | `getDirectory`

- - ### Method Detail

    - #### @Incubating public boolean isGenerated()

      Return `true` if this source directory is generated.

      Returns:
        true if source directory is generated
      Since:
        2.2